#include <qmainwindow.h>
#include <qmessagebox.h>
#include <qframe.h> 

#include <qlayout.h>

#include "maindialogimpl.h"


class LCDbinWindow : public QMainWindow
{
	Q_OBJECT
public:
	LCDbinWindow( QWidget* parent = 0, const char* name = 0, WFlags f = WType_TopLevel );

public slots:
	void newDocument();
	void menuAboutMe();
	void menuAboutQt();
	void clipboardChanged();

private slots:
	 // styles
	 void stylePlatinum();
    void styleWindows();
    void styleCDE();
    void styleMotif();
    void styleMotifPlus();

private:
	maindialogImpl *mainDialog;
	QTabWidget *tabwidget;

	// Menu
	QPopupMenu* file;
	QPopupMenu* about;
	QPopupMenu* theme;
	QPopupMenu* edit;
	QMenuBar *menubar;
	// id Menus
	int mSaveBmp, mSaveBin;
	int sMotif, sMotifPlus, sCDE, sPlatinum, sWindows;

	// barre d'etat
	QStatusBar* statusbar; 

	// Styles
	QFont appFont;

	QClipboard *clipboard;
	QLabel *lblClip;
	QTextView *txtClip;
	// Styles
	void selectStyleMenu(int s);

};

